# GCLC

GCLC is a mathematical software for producing high-quality mathematical 
illustrations, for teaching mathematics, and for automated proving of 
geometry theorems. 

GCLC has been developed, with some idle years, since 1995. Its first 
release made public (web) was built in 1996. There were several substational 
code revisions. The original version was written in pure C, and over time it 
turned into C++ (while some C remains are still there). The current version 
with graphical user interface uses Qt libraries.

The application turned open-source in 2020, some 25 years after its very 
first version.

GCLC has a command-line version and a version with graphical user interface.

The source code and executables for Windows and Linux are available from 
the GCLC web page.

GCLC web page: 
    http://www.matf.bg.ac.rs/~janicic/gclc/


## Licence

This software is licensed under the MIT Licence. 


## Executables

Pre-built executables (both the command line version and the version
with graphical user interface, both for Windows and for Linux) are 
available in the folder "executable". Running these executables may
requires installing some libraries (for instance, by 
"sudo apt-get install qt5-default" on linux).

Executables can also be built from the source code available 
from the gclc github page (accessible from the GCLC web page).


## Input
 
GCLC accepts files in GCL language, but can also import JavaView 
files coherent logic form.


## Output

GCLC processes GCL files and can export generated illustrations in several 
formats: simple LaTeX, LaTeX TikZ, LaTeX PSTricks, EPS, XML (textual 
specification).

Proofs by the automated theorem provers are generated in LaTeX form.


## Usage 

`gclc filename -a|w|g -pic|tikz|pst|eps|svg|xml`

   filename                    the name of the input file 

   -a|w|g                      selects the theorem prover used: the one based 
                               on the area method (a), the one based on Wu's 
                               method (w), or the one based on the Groebner 
                               bases method (g)

   -pic|tikz|pst|eps|svg|xml   selects the format for the output: simple LaTeX 
                               format (pic), LaTeX PStrics format (pst), LaTeX 
                               TikZ format (tikz), EPS format (eps), SVG format 
                               (svg), XML textual specification (xml) 
                               (default value: -pic)





